Repeated suspend and splash screen freeze after upgrading to 16.04

Bug #1663555 reported by Eero Aaltonen on 2017-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

Previously using nvidia-367 with Ubuntu 14.04. Now Ubuntu 16.04 with
nvidia-367.57-0ubuntu0.16.04.1

After upgrade two problems have occurred.
1) Splash screen at startup that prompts for LUKS passphrase has really low resolution and does not accept input to decrypt the filesystem. Booting is currently only possible with the 'nomodeset' option.
Kernel version does not affect this.
This affects at least
 * nvidia-367.57
 * nvidia-375.26 (from PPA)
Older version nvidia-340.101 is NOT affected.

2) When booting with two monitors & extended desktop the computer will go to suspend mode. Sometimes it will go into suspend repeatedly.
This happens 'most of the time' when the laptops lid is closed and with all driver versions. Probably unrelated to graphics driver.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+13ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-62.83-generic 4.4.40
Uname: Linux 4.4.0-62-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
.proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 367.57 Mon Oct 3 20:37:01 PDT 2016
 GCC version: gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4)
.tmp.unity_support_test.0:

ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Fri Feb 10 12:48:59 2017
DistUpgraded: 2017-02-08 10:35:37,423 DEBUG got a conffile-prompt from dpkg for file: '/etc/gnome/defaults.list'
DistroCodename: xenial
DistroVariant: ubuntu
DkmsStatus:
 bbswitch, 0.8, 3.13.0-108-generic, x86_64: installed
 bbswitch, 0.8, 4.4.0-62-generic, x86_64: installed
 nvidia-367, 367.57, 4.4.0-62-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 NVIDIA Corporation GK106GLM [Quadro K2100M] [10de:11fc] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell GK106GLM [Quadro K2100M] [1028:05cc]
InstallationDate: Installed on 2014-09-24 (870 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Dell Inc. Precision M4800
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-62-generic root=/dev/mapper/vgcrypt-lvcryptoroot ro cryptopts=target=cryptvol,source=/dev/disk/by-uuid/31fbd5c5-dcfb-4904-aec8-1c69025870a0,lvm=vgcrypt nomodeset
SourcePackage: xorg
UpgradeStatus: Upgraded to xenial on 2017-02-08 (2 days ago)
dmi.bios.date: 05/02/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0FVDR2
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd05/02/2014:svnDellInc.:pnPrecisionM4800:pvr01:rvnDellInc.:rn0FVDR2:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Precision M4800
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.2+16.04.20160823-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1ubuntu0.16.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2.2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2.2
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-0ubuntu0.2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20160325-1ubuntu1.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1build2
xserver.bootTime: Fri Feb 10 12:44:57 2017
xserver.configfile: default
xserver.errors: open /dev/fb0: No such file or directory
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.18.4-0ubuntu0.2

Eero Aaltonen (ejn) wrote :
information type: Public → Public Security
Eero Aaltonen (ejn) on 2017-02-10
information type: Public Security → Public
description: updated
Eero Aaltonen (ejn) on 2017-02-10
summary: - Problems with nvidia-367 and Quadro K2100M GPU after upgrading to 16.04
+ Repeated suspend and splash screen freeze after upgrading to 16.04
description: updated
description: updated
Eero Aaltonen (ejn) on 2017-02-13
description: updated
Eero Aaltonen (ejn) wrote :

nvidia more appropriate package

affects: xorg (Ubuntu) → nvidia-drivers-ubuntu
Timo Aaltonen (tjaalton) on 2017-02-16
affects: nvidia-drivers-ubuntu → nvidia-graphics-drivers (Ubuntu)
Eero Aaltonen (ejn) wrote :

Do the newer driver versions depend on nvidia-persistenced? That might explain this, since the root partition is not yet mounted.

Norbert (nrbrtx) on 2018-01-10
no longer affects: linux-meta (Ubuntu)
To post a comment you must log in.